#!/usr/bin/env bash
#
# Copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2020 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------

# This script sets up the environment to bootstrap the driver.

# This script should be called in the following way:
# $PATH_TO_DDK/bldsys/bootstrap_androidbp.bash $PATH_TO_DDK $BUILDDIR
set -e

SCRIPT_DIR=$(dirname "${0}")
PATH_TO_DDK="${1}"
BUILDDIR="${2}"

source "${SCRIPT_DIR}/bob/pathtools.bash"

# Bootstrap Bob. Source and build directories need to be either absolute, or
# relative to the working directory at the root of the Android tree.
export SRCDIR=$(relative_path "${ANDROID_BUILD_TOP}" "${PATH_TO_DDK}")
export BUILDDIR=$(bob_realpath "${BUILDDIR}")
export BLUEPRINT_LIST_FILE="${BUILDDIR}/.bplist"
export CONFIGNAME="mali.config"
export BOB_CONFIG_OPTS="--ignore-missing"
export BOB_CONFIG_PLUGINS="${SRCDIR}/bldsys/tools/kernel_explore ${SRCDIR}/bldsys/tools/tools_checker_plugin ${SRCDIR}/bldsys/tools/ddk_host_explore ${SRCDIR}/bldsys/tools/config_warnings"

cd "${ANDROID_BUILD_TOP}"

"${SRCDIR}/bldsys/bob/bootstrap_androidbp.bash"

# Pick up some info that bob has worked out
source "${BUILDDIR}/.bob.bootstrap"

# Setup the DDK build script
SRCDIR_FROM_BUILDDIR=$(relative_path "${BUILDDIR}" "${SRCDIR}")
ln -sf "${SRCDIR_FROM_BUILDDIR}/bldsys/buildme.bash" "${BUILDDIR}/buildme"
